Bug 43513 - Android Binding Adding Generic Arg where one does not exist
Summary: Android Binding Adding Generic Arg where one does not exist
Status: RESOLVED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: Bindings (show other bugs)
Version: 7.0 (C8)
Hardware: PC Mac OS
: Normal normal
Target Milestone: 7.3 (C11)
Assignee: Atsushi Eno
URL:
Depends on:
Blocks:
 
Reported: 2016-08-18 17:03 UTC by Bill Holmes
Modified: 2017-01-05 09:18 UTC (History)
2 users (show)

Tags: XATriaged
Is this bug a regression?: ---
Last known good build:


Attachments
Sample (10.81 KB, application/zip)
2016-08-18 17:03 UTC, Bill Holmes
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Bill Holmes 2016-08-18 17:03:57 UTC
Created attachment 17103 [details]
Sample

Compile the attached project.  

Expected:
Build without error

Actual:
error CS0308: The non-generic type `Com.Google.Android.Exoplayer.Drm.IExoMediaDrmOnEventListener' cannot be used with the type arguments

The attachment also contains the java source to create the jar file.

See WooHoo/JavaSrc.
Comment 1 Atsushi Eno 2016-11-08 17:17:05 UTC
Fix created at https://github.com/xamarin/java.interop/pull/100
Comment 2 Atsushi Eno 2017-01-05 09:18:53 UTC
Sorry, forgot to tell you that it was merged in timely manner.